Author Topic: (no subject)  (Read 1958 times)

Anonymous

  • Member
  • *
  • Posts: 545
    • View Profile
(no subject)
« on: October 15, 2003, 08:55:06 PM »
DA2 finally finished downloading and I installed it but now I can't get it to run.  When I run the program an error message pops up saying:

A run time error has occured.  Code: 372  Description: Failed to load control "MMControl" from mci32.ocx.  Your version may be outdated.

When I close the error window the same window just pops back up again.  I some how managed to get the computer to restart the first time but when I tryed running it again I got the same error loop and when I tryed to use ctrl alt delete to forcefully shut down the program my whole computer locked up and I had to manually reset.

I'm running Windows XP Home Edition if that matters but the error sounds pretty self explanatory, so where do I get an up to date version of mci32.ocx?
« Last Edit: December 31, 1969, 06:00:00 PM by Anonymous »

Anonymous

  • Member
  • *
  • Posts: 545
    • View Profile
(no subject)
« Reply #1 on: October 15, 2003, 09:17:58 PM »
Well an update, I did some searches online and found a place that was provided mci32.ocx, so I downloaded and extracted it to the designated folder... same error message popped up when I tryed to run DA2.  I did some searching a site said that if you were still having problems with mci32.ocx to extract it to the same file as the program that wouldn't run so I extracted to the DA2 folder... same error message.  I'm starting to run out of ideas here...
« Last Edit: December 31, 1969, 06:00:00 PM by Anonymous »

Anonymous

  • Member
  • *
  • Posts: 545
    • View Profile
(no subject)
« Reply #2 on: October 15, 2003, 09:23:51 PM »
Oh and I'm using DemoA if that would make any difference.  I just tryed re-installing it to see if something corrupted during the intial install but alas, same error message forcing yet another computer reboot...
« Last Edit: December 31, 1969, 06:00:00 PM by Anonymous »

Xorlak

  • Administrator
  • Member
  • *****
  • Posts: 2224
    • View Profile
    • http://darkagegames.net
(no subject)
« Reply #3 on: October 15, 2003, 09:55:58 PM »
Hmmm... mci32.ocx is provided in the installation, so it shouldn't be outdated...

First, do you have the RPG Toolkit installed?  It shouldn't be, but it might be possible that it does something to the system that enables it's games to run.

Also, do you get the error before the game starts, or immediately after it starts (when it says "Xorlak presents")?  If the latter is the case, there might be something wrong with playing the MP3s (in which case you might want to try Demo B, although it does have a few MP3s later on).

Finally, do other Toolkit games work on your system?
« Last Edit: December 31, 1969, 06:00:00 PM by Xorlak »

Anonymous

  • Member
  • *
  • Posts: 545
    • View Profile
(no subject)
« Reply #4 on: October 15, 2003, 10:39:39 PM »
Yes!  I installed rpg toolkit version 2 and Dark Age 2 runs now!  I got a new hard drive like half a year ago and I guess I never reinstalled toolkit version 2 onto it, and like you guessed apparently it does something to the system that allows games to be run.  Thanks for the help!
« Last Edit: December 31, 1969, 06:00:00 PM by Anonymous »

Anonymous

  • Member
  • *
  • Posts: 545
    • View Profile
(no subject)
« Reply #5 on: October 16, 2003, 07:22:48 AM »
Laughing

That would do it

 Laughing
« Last Edit: December 31, 1969, 06:00:00 PM by Anonymous »

Xorlak

  • Administrator
  • Member
  • *****
  • Posts: 2224
    • View Profile
    • http://darkagegames.net
(no subject)
« Reply #6 on: October 16, 2003, 06:38:20 PM »
Blast... I must have missed something in the installation.

No problem!
« Last Edit: December 31, 1969, 06:00:00 PM by Xorlak »